summaryrefslogtreecommitdiffstats
path: root/network/protonmail-bridge
diff options
context:
space:
mode:
Diffstat (limited to 'network/protonmail-bridge')
-rw-r--r--network/protonmail-bridge/README12
-rw-r--r--network/protonmail-bridge/doinst.sh9
-rw-r--r--network/protonmail-bridge/protonmail-bridge.SlackBuild94
-rw-r--r--network/protonmail-bridge/protonmail-bridge.info10
-rw-r--r--network/protonmail-bridge/slack-desc19
5 files changed, 144 insertions, 0 deletions
diff --git a/network/protonmail-bridge/README b/network/protonmail-bridge/README
new file mode 100644
index 0000000000..fc62c44680
--- /dev/null
+++ b/network/protonmail-bridge/README
@@ -0,0 +1,12 @@
+Proton Mail Bridge is a desktop application for paid users that runs in
+the background, encrypting and decrypting messages as they enter and
+leave your computer. It allows for full integration of your ProtonMail
+account with any program that supports IMAP and SMTP such as Microsoft
+Outlook, Mozilla Thunderbird and Apple Mail.
+
+Once you've installed and adder your account(s) to the Bridge you will
+need to configure your email client. The setup guide for Thunderbird
+can be found here:
+https://proton.me/support/protonmail-bridge-clients-windows-thunderbird
+
+This script repackages the Debian binary provided by Proton AG.
diff --git a/network/protonmail-bridge/doinst.sh b/network/protonmail-bridge/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/network/protonmail-bridge/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/protonmail-bridge/protonmail-bridge.SlackBuild b/network/protonmail-bridge/protonmail-bridge.SlackBuild
new file mode 100644
index 0000000000..8a8ab342e2
--- /dev/null
+++ b/network/protonmail-bridge/protonmail-bridge.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/bash
+
+# Slackware build script for protonmail-bridge
+
+# Copyright 2018-2024 Erich Ritz, Jenks, Oklahoma, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=protonmail-bridge
+VERSION=${VERSION:-3.10.0}
+DEBVERSION=${DEBVERSION:--1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+# Upstream only has binary support for x86_64 at present.
+if [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+else
+ echo "Sorry, the ProtonMail Bridge binary is currently available for x86_64 only."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}${DEBVERSION}_$DEBARCH.deb data.tar.gz | tar xzv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+# Upstream claims "not a bug" https://github.com/ProtonMail/proton-bridge/issues/436
+# so remove SGID bit here. Thanks to sbopkglint for catching it.
+chmod -R g-s .
+
+mv $PKG/usr/lib $PKG/usr/lib64
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs chmod 755 2> /dev/null || true
+rm $PKG/usr/bin/protonmail-bridge
+ln -s /usr/lib64/protonmail/bridge/proton-bridge $PKG/usr/bin/protonmail-bridge
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/protonmail/bridge/* $PKG/usr/doc/$PRGNAM-$VERSION/
+mv $PKG/usr/share/doc/protonmail-bridge/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/protonmail-bridge/protonmail-bridge.info b/network/protonmail-bridge/protonmail-bridge.info
new file mode 100644
index 0000000000..dbfc012d09
--- /dev/null
+++ b/network/protonmail-bridge/protonmail-bridge.info
@@ -0,0 +1,10 @@
+PRGNAM="protonmail-bridge"
+VERSION="3.10.0"
+HOMEPAGE="https://proton.me/mail/bridge"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://proton.me/download/bridge/protonmail-bridge_3.10.0-1_amd64.deb"
+MD5SUM_x86_64="93a2a675cb5d51be2bcbc616f8a5745b"
+REQUIRES=""
+MAINTAINER="Erich Ritz"
+EMAIL="erich.public@protonmail.com"
diff --git a/network/protonmail-bridge/slack-desc b/network/protonmail-bridge/slack-desc
new file mode 100644
index 0000000000..925705b4fa
--- /dev/null
+++ b/network/protonmail-bridge/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+protonmail-bridge: protonmail-bridge (ProtonMail Bridge)
+protonmail-bridge:
+protonmail-bridge: The Bridge is an application that runs on your computer in the
+protonmail-bridge: background and seamlessly encrypts and decrypts your mail as it
+protonmail-bridge: enters and leaves your computer.
+protonmail-bridge:
+protonmail-bridge: Proton AG (ProtonMail Bridge developers)
+protonmail-bridge: <bridge@protonmail.ch>
+protonmail-bridge:
+protonmail-bridge:
+protonmail-bridge: